> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/core-resources/documents/filtering-documents.md).

# Filtering documents

Below is a list of attributes available for [filtering](/documentation/api-reference/filtering.md) documents.

<table><thead><tr><th width="321.5" valign="top">Attribute</th><th>Type</th></tr></thead><tbody><tr><td valign="top"><code>type</code></td><td><p>string</p><p></p><p>See the <a href="/documentation/api-reference/core-resources/checks.md#the-check-object">Document object</a> for the full list of supported values.</p></td></tr><tr><td valign="top"><code>classification</code></td><td><p>string</p><p></p><p>See the <a href="/documentation/api-reference/core-resources/checks.md#the-check-object">Document object</a> for the full list of supported values.</p></td></tr><tr><td valign="top"><code>issuingCountry</code></td><td>string<br><br>This will be the <a href="https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2">two-letter country ISO code</a>.</td></tr></tbody></table>

#### Example - Get all documents for one type

In the example below, we will request to get all documents that are of type `passport`.

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/documents?clientId={:clientId}&type=passport \
     -H 'Authorization: <YOUR_API_KEY>'
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR API KEY>')

filtered = cc_api.documents.list('CLIENT_ID', type='passport')
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR API KEY>');

$filtered = $ccapi->documents()->list('CLIENT_ID', ['type' => 'passport']);
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.Documents;

var docApi = new DocumentApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var filter = new DocumentRequest { type = "passport" };

var filtered = await docApi.ListAsync("CLIENT_ID", filter);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/documents/filtering-documents.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
